我该如何为 Kubernetes 1.15 on Amazon EKS 支持的终止做好准备?

上次更新日期:2021 年 4 月 29 日

我想为 Amazon Elastic Kubernetes Service (Amazon EKS) 中 Kubernetes 1.15 on Amazon EKS 支持的终止做好准备。

简短描述

对 Kubernetes 1.15 on Amazon EKS 的支持将于 2021 年 5 月 3 日终止。

注意:在开源社区对 Kubernetes 1.15 的支持于 2020 年 5 月 6 日结束后,AWS 为 Kubernetes 1.15 on Amazon EKS 提供了一年的额外支持。这意味着不会修复任何错误或者安全漏洞补丁程序也不会反向移植到 Kubernetes 1.15 on Amazon EKS。有关更多信息,请参阅 Kubernetes GitHub 网站上的 Kubernetes 补丁版本

解决方法

要为支持的终止做好准备,请完成以下步骤:

  1. 了解支持终止的影响。
  2. 完成 Kubernetes 1.16 更新先决条件
  3. 在 2021 年 5 月 3 日之前更新您的 Amazon EKS 集群。

有关“为弃用做好准备”的更多信息,请参阅从 1.15 升级到 1.16 时为 Kubernetes API 的弃用做好准备

注意:如果您的 Amazon EKS Pod 或应用程序遇到问题,请参阅 Kubernetes 1.16 更新先决条件。最常见的问题是 kube-proxy 无法启动,因为 --resource-container 标志仍在 kube-proxy DaemonSet 中。要解决此问题,请删除 --resource-container 标志。


这篇文章对您有帮助吗?


您是否需要账单或技术支持?